package org.processmining.plugins.bpsim.extended;

import org.processmining.plugins.bpsim.utility.Util;

public class DataValueMatrixValue {
	private String first;
	private String second;
	private Double value;
	
	
	public DataValueMatrixValue() {
		
	}


	public String getFirst() {
		return first;
	}


	public void setFirst(String first) {
		this.first = first;
	}


	public String getSecond() {
		return second;
	}


	public void setSecond(String second) {
		this.second = second;
	}


	public Double getValue() {
		return value;
	}


	public void setValue(Double value) {
		this.value = value;
	}
	
	public String exportDataValueMatrixValue(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:DataValueMatrixValue";
		
		if (first != null){									
			export += " first=\"" + first + "\"";						
		}
		
		if (second != null){									
			export += " second=\"" + second + "\"";						
		}
		
		if (value != null){									
			export += " value=\"" + value + "\"";						
		}
		export += "/>" + eol;
			
		return export;
	}
}
