package org.processmining.plugins.bpsim.distributionparameter;

import org.processmining.plugins.bpsim.parameter.ParameterValue;
import org.processmining.plugins.bpsim.utility.Util;

public class UserDistributionDataPoint {
	private float probability;
	private ParameterValue value;
	
	public UserDistributionDataPoint(){
		
	}

	public float getProbability() {
		return probability;
	}

	public void setProbability(float probability) {
		this.probability = probability;
	}

	public ParameterValue getValue() {
		return value;
	}

	public void setValue(ParameterValue value) {
		this.value = value;
	}
	
	public String exportUserDistributionDataPoint(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:UserDistributionDataPoint ";
		
		export += "probability=\"" + probability + "\">" + eol;
		
		export += value.exportParameterValue(n+1);
				
		export += indent + "</bpsim:UserDistributionDataPoint>" + eol;						
		return export;
	}
}
