package org.processmining.plugins.bpsim.parameter;

import org.processmining.plugins.bpsim.utility.Util;

import biweekly.ICalendar;


public class BPSimCalendar {
	private String id;
	private String name;
	private Object calendar;
	
	public BPSimCalendar(){	
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = " " + id.trim();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getCalendar() {
		return calendar;
	}

	public void setCalendar(Object calendar) {
		this.calendar = calendar;
	}

	public String exportBPSimCalendar(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:Calendar id=\"" + id.toString().replaceAll(" ", "_").toLowerCase() + "\"";
		
		if (name != null) {
			export += " name=\"" + name + "\"";
		}
		
		export += ">" + eol;
				
		ICalendar ical = (ICalendar)calendar;
		String calendar = ical.write();
		calendar = calendar.replace("Z", "");
		//export+= ical.write();
		export+= calendar;
				
		export += indent + "</bpsim:Calendar>" + eol;
		
		return export;
	}		
	
}
