package org.processmining.plugins.bpsim.parameter;

import org.processmining.plugins.bpsim.utility.Util;

public class ExpressionParameter extends ParameterValue {
	private String value;
	
	public ExpressionParameter(){
		
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
	
	public String exportExpressionParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:ExpressionParameter ";
		if (null != getValidFor()){
			export += "validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\" ";    
		}
		
		export += "value=\"" + value + "\""; 
			
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		export += "/>" + eol;					
		return export;
	}
}
