package org.processmining.plugins.bpsim.scenario;

import org.processmining.plugins.bpsim.utility.Util;

public class VendorExtension {
	private String name;	
	private Object value;	
	
	public VendorExtension() {	
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}
	
	public String exportVendorExtension(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:VendorExtension";
		
		if (name != null) {
			//export += " name=\"" + name + "\"";
			export += " name=\"" + name + "\">";
		}
		
		if (value != null) {
			//export += " value=\"" + value.toString() + "\"";
			export += value.toString();
		}
		
		//export += ">" + eol;
		export += "</bpsim:VendorExtension>" + eol;
		
		return export;
	}
}
